Closed Bug 955445 Opened 8 years ago Closed 8 years ago

Accounts don't automatically reconnect when back online if the "offline" status was set while the computer was offline.

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: aleth)

Details

Attachments

(1 file, 3 obsolete files)

*** Original post on bio 2009 at 2013-06-19 21:34:00 UTC ***

Steps to reproduce:
- Get disconnected from the Internet: all your accounts are now trying to reconnect with reconnect timers.
- Then switch to the offline status: the reconnect timer all disappear.
- Then get a working internet connection again and switch to the available status: Nothing changes in the account window.

I expected the accounts to reconnect automatically.
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 2009 as attmnt 2756 at 2013-08-23 12:27:00 UTC ***

I *think* this is the right thing to do but it could do with a fresh pair of eyes ;)
Attachment #8354525 - Flags: review?(florian)
Comment on attachment 8354525 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2756 at 2013-08-23 12:30:59 UTC ***

connectionErrorReason has no setter.
Attachment #8354525 - Flags: review?(florian) → review-
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 2009 as attmnt 2757 at 2013-08-23 13:06:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354526 - Flags: review?(florian)
Comment on attachment 8354525 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2756 at 2013-08-23 13:07:17 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354525 - Attachment is obsolete: true
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 2009 as attmnt 2758 at 2013-08-23 13:12:00 UTC ***

Removes unneccessary {}.
Comment on attachment 8354526 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2757 at 2013-08-23 13:12:36 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354526 - Attachment is obsolete: true
Attachment #8354526 - Flags: review?(florian)
Assignee: nobody → aleth
Status: NEW → ASSIGNED
Comment on attachment 8354527 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2758 at 2013-08-23 13:13:39 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354527 - Flags: review?(florian)
Comment on attachment 8354527 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2758 at 2013-08-23 20:17:32 UTC ***

I don't see why we would need a new error code for this. Shouldn't we just test for error codes that enable automatic reconnection when the status is switched back to an online status?
Attachment #8354527 - Flags: review?(florian) → review-
Attached patch PatchSplinter Review
*** Original post on bio 2009 as attmnt 2777 at 2013-08-24 15:09:00 UTC ***

Good point!
Attachment #8354546 - Flags: review?(florian)
Comment on attachment 8354527 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2758 at 2013-08-24 15:09:38 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354527 - Attachment is obsolete: true
Comment on attachment 8354546 [details] [diff] [review]
Patch

*** Original change on bio 2009 attmnt 2777 at 2013-08-24 15:12:29 UTC ***

Thanks!
Attachment #8354546 - Flags: review?(florian) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2009 at 2013-08-25 00:09:39 UTC ***

http://hg.instantbird.org/instantbird/rev/6dfbf1f5adba
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.